Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 524426

Summary: sys-apps/portage: Please add shortname for --changed-use
Product: Portage Development Reporter: Greg Kubaryk <kurly>
Component: Core - Interface (emerge)Assignee: Portage team <dev-portage>
Status: RESOLVED FIXED    
Severity: enhancement Keywords: InVCS, PATCH
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: All   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 484436    
Attachments: Add shortname -R for --changed-use option.
Add shortname -U for --changed-use option.

Description Greg Kubaryk 2014-10-04 07:43:59 UTC
Created attachment 386016 [details, diff]
Add shortname -R for --changed-use option.

Using emerge, --newuse has shortname -N, but --changed-use has no shortname.  Let's change this; see attached patch.  (I took a quick informal poll in #gentoo and -R won.  I'm entirely indifferent as to the final shortname, though I personally like -H; that said, this patch uses -R.  Easy enough to change.)
Comment 1 Greg Kubaryk 2014-10-11 07:11:00 UTC
Created attachment 386410 [details, diff]
Add shortname -U for --changed-use option.

Upon advice from #gentoo-portage, apparently -U has been brought up as a suggestion in the past, and I happen to like it better than the alternatives.

This is a fairly trivial patch (though I did check that it works locally); please let me know if any further changes are necessary.
Comment 2 Zac Medico gentoo-dev 2014-10-20 00:10:48 UTC
Thanks, this is in git:

https://github.com/gentoo/portage/commit/d55690aa3a1a9b4a78e87acd6ce179c17262966e
Comment 3 Zac Medico gentoo-dev 2014-10-20 19:32:37 UTC
This is fixed in 2.2.14.